0 Replies Latest reply on Aug 24, 2006 8:00 PM by cdwright-Oracle

    Migration adapters from OAI 4.1.3 to 9i

    cdwright-Oracle
      Hello,

      I am helping a customer who is in the process of upgrading an OAI 4.1.3 hub to 9.0.4 (they're actually going to 10.x, but there is no direct path from 4.1.3 to 10.x). The customer has one or more custom adapters that will need to be migated in the process. When they attempt to start these adapters on there 9.0.4 hub and they get the following errors in the adapter log files.

      java.lang.NoSuchMethodError: java.util.Vector: method
      add(Ljava/lang/Object;)Z not found
      at oracle.oai.agent.proxy.AgentProxy.getDBConnectionInfo(Compiled Code)
      at oracle.oai.agent.proxy.AgentProxy.initialize(AgentProxy.java:255)
      at oracle.oai.agent.proxy.AgentProxy.<init>(AgentProxy.java:385)
      at oracle.oai.agent.service.AgentService.run(AgentService.java:41)
      at java.lang.Thread.run(Thread.java:459)

      Is this due to changes in the adapter sdk's between 4.1.3 and 9.0.4? If so, is anyone aware of a document that describes migrating adapters from the 4.1.3 sdk to the 9.0.4 sdk?

      TIA,

      Cliff